/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumDatatype;
import de.ship.db.tables.TInputType;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputTypeRecord extends UpdatableRecordImpl<TInputTypeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_type.pk_input_type</code>.
     */
    public void setPkInputType(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_type.pk_input_type</code>.
     */
    public Integer getPkInputType() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_type.inputtype</code>.
     */
    public void setInputtype(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_type.inputtype</code>.
     */
    public Integer getInputtype() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_type.has_valuelist</code>. Does this
     * input type need a value list? 1 = yes, 0 = no
     */
    public void setHasValuelist(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_type.has_valuelist</code>. Does this
     * input type need a value list? 1 = yes, 0 = no
     */
    public Integer getHasValuelist() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_input_type.inputtype_descr</code>. language
     * key for this input type
     */
    public void setInputtypeDescr(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_input_type.inputtype_descr</code>. language
     * key for this input type
     */
    public String getInputtypeDescr() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_input_type.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_input_type.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(4);
    }

    /**
     * Setter for <code>common_dd.t_input_type.data_type</code>.
     */
    public void setDataType(EnumDatatype value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_input_type.data_type</code>.
     */
    public EnumDatatype getDataType() {
        return (EnumDatatype) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputTypeRecord
     */
    public TInputTypeRecord() {
        super(TInputType.T_INPUT_TYPE);
    }

    /**
     * Create a detached, initialised TInputTypeRecord
     */
    public TInputTypeRecord(Integer pkInputType, Integer inputtype, Integer hasValuelist, String inputtypeDescr, LocalDateTime lastchange, EnumDatatype dataType) {
        super(TInputType.T_INPUT_TYPE);

        setPkInputType(pkInputType);
        setInputtype(inputtype);
        setHasValuelist(hasValuelist);
        setInputtypeDescr(inputtypeDescr);
        setLastchange(lastchange);
        setDataType(dataType);
        resetChangedOnNotNull();
    }
}
